using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Diagnostics;

/// <summary>
/// Summary description for BasePage
/// </summary>
public class BasePage : System.Web.UI.Page
{
    private string _pageTitle;
    public string PageTitle
    {
        get { return _pageTitle; }
        set { _pageTitle = value; }
    }
	public BasePage()
	{
        Debug.WriteLine("Constructor of the BasePage");
	}
    protected override void Render(HtmlTextWriter writer)
    {
        writer.Write(@"
            <html>
                <head>
                    <title>" + PageTitle + @"</title>
                </head>
                <body>");

        base.Render(writer);

        writer.Write(@"
                </body>
            </html>");
        Debug.WriteLine("Render of the Base Page Class");
    }
}
